4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.WithParamElement

Implementation of the XSLT Spec with-param stylesheet element. WWW: http://4suite.org/4XSLT e-mail: support@4suite.org
Copyright (c) 1999-2001 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: WithParamElement |  |  |  | Fields: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class WithParamElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

setup(self)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime

### Fields

category = None
content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Template is the set of text, instructions or result-elements
doesSetup = 1
legalAttrs = {'name': <Ft.Xml.Xslt.AttributeInfo.QName instance>, 'select': <Ft.Xml.Xslt.AttributeInfo.Expression instance>}

### Fields

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'